import java.sql.*;
import java.net.URL;
import java.util.*;

public class DbConnection{

  private DatabaseMetaData databaseMetaData;
  private static Connection connection;

  // Constructor

  public DbConnection() {
    openDb("InterBase","SYSDBA","masterkey");
  }

  void openDb(String odbcdrv,String user,String passw) {
    String url = "jdbc:odbc:"+odbcdrv;
    try {

      // Load the Bridge Driver

      Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");

      // Connect to database

      connection = DriverManager.getConnection(url,user,passw);
      databaseMetaData = connection.getMetaData();
      System.out.println("Connected to: "+databaseMetaData.getURL());
      System.out.println("Driver: "+databaseMetaData.getDriverName());
    }
    catch(Exception e) {
      System.out.println("Exception catched on open: "+e);
    }
  }

  public static void closeDb() {
    try {
      connection.close();
    }
    catch(Exception e) {
      System.out.println("Exception catched on close: "+e);
    }
  }

  public static Connection getDbConnection() {
    return connection;
  }

}