import java.util.*;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import javax.swing.event.*;
import java.sql.*;

public class LaanereNavigatorButtonListener implements ActionListener {

  private Vector laanere;
  private String laanerId,navn, adresse, postNrBy, tlf, sqlUpdate;
  private Connection connection;
  private java.util.Date date = new java.util.Date();
  private int msgAnswer;
  int recNo;

  public void actionPerformed(ActionEvent actionEvent) {
    String action = actionEvent.getActionCommand();
    laanere=DbLaaner.getResultSet();
    if (action.equals("<<")) {
      VisLaanere.visLaanerRecord(0,laanere);
    }
    else
      if (action.equals("<")) {
        recNo=DbLaaner.getRecNo();
        if (recNo>0) {
          recNo--;
          VisLaanere.visLaanerRecord(recNo,laanere);
          DbLaaner.setRecNo(recNo);
        }
        else {
          recNo=0;
          VisLaanere.visLaanerRecord(recNo,laanere);
          DbLaaner.setRecNo(recNo);
        }
      }
      else
        if (action.equals(">")) {
          int recNo=DbLaaner.getRecNo();
          if (recNo<laanere.size()-1) {
            recNo++;
            VisLaanere.visLaanerRecord(recNo,laanere);
            DbLaaner.setRecNo(recNo);
          }
          else {
            recNo=laanere.size()-1;
            VisLaanere.visLaanerRecord(recNo,laanere);
            DbLaaner.setRecNo(recNo);
          }
        }
        else
          if (action.equals(">>")) {
            recNo=laanere.size()-1;
            VisLaanere.visLaanerRecord(recNo,laanere);
            DbLaaner.setRecNo(recNo);
          }
          else
            if (action.equals("Ny")) {
              Laanere.laanerIdTextField.setText("");
              Laanere.navnTextField.setText("");
              Laanere.adresseTextField.setText("");
              Laanere.postNrByTextField.setText("");
              Laanere.tlfTextField.setText("");
              Laanere.regDatoTextField.setText(date.toString());
              Laanere.laanerIdTextField.requestFocus();
            }
            else
              if (action.equals("Opdater")) {
                Laanere.laanerIdTextField.requestFocus();
              }
              else
              if (action.equals("Gem")) {
                laanerId = Laanere.laanerIdTextField.getText().trim();
                navn = Laanere.navnTextField.getText().trim();
                adresse = Laanere.adresseTextField.getText().trim();
                postNrBy = Laanere.postNrByTextField.getText().trim();
                tlf = Laanere.tlfTextField.getText().trim();
                String date = Laanere.regDatoTextField.getText().trim();
                laanere = DbLaaner.selectAllWhere("LAANER_ID = '"+laanerId+"'");
                if (laanere.size() > 0) {
                  msgAnswer=Dialogs.confirmOkCancel("Bekrft Opdatering",
                  "Der findes en lner med LAANER_ID="+laanerId+" Opdater?");
                  if (msgAnswer == JOptionPane.OK_OPTION) {
                    sqlUpdate ="Update LAANER Set LAANER_ID='"+laanerId+"', NAVN='"+navn+
                    "', ADRESSE='"+adresse+"', POSTNRBY='"+postNrBy+"', TLF='"+tlf+
                    "', REG_DATO='NOW' Where LAANER_ID='"+laanerId+"'";
                  }
                }
                else {
                  msgAnswer=Dialogs.confirmOkCancel("Bekrft",
                  "Der findes ingen lner med LAANER_ID="+laanerId+" Bekrft Ny Lner");
                  if (msgAnswer == JOptionPane.OK_OPTION) {
                    sqlUpdate ="Insert Into LAANER Values('"+laanerId+"','"+navn+"','"+adresse+
                    "','"+postNrBy+"','"+tlf+"','NOW')";
                  }
                }
                try {
                  if (msgAnswer == JOptionPane.OK_OPTION) {
                    int returnValue=-1;
                    connection=DbConnection.getDbConnection();
                    Statement statement = connection.createStatement();
                    returnValue = statement.executeUpdate(sqlUpdate);
                    Dialogs.showMessage("Return Value form Update LAANER: "+returnValue);
                    laanere=DbLaaner.selectAllWhere("");
                    VisLaanere.visLaanerRecord(0,laanere);
                  }
                }
                catch(Exception e) {
                  Dialogs.showMessage("Insert exception in LAANER! "+e);
                }
              }
              else
                if (action.equals("Slet")) {
                  laanerId = Laanere.laanerIdTextField.getText().trim();
                  navn = Laanere.navnTextField.getText().trim();
                  laanere = DbLaaner.selectAllWhere("LAANER_ID = '"+laanerId+"'");
                  if (laanere.size() > 0) {
                    msgAnswer=Dialogs.confirmOkCancel("Bekrft Slet",
                                                      "Bekrft fjernelse af lner: "+navn);
                    if (msgAnswer == JOptionPane.OK_OPTION) {
                      sqlUpdate ="Delete From LAANER Where LAANER_ID='"+laanerId+"'";
                      try {
                        int returnValue=-1;
                        connection=DbConnection.getDbConnection();
                        Statement statement = connection.createStatement();
                        returnValue = statement.executeUpdate(sqlUpdate);
                        Dialogs.showMessage("Return Value form Update on LAANER: "+returnValue);
                        laanere=DbLaaner.selectAllWhere("");
                        VisLaanere.visLaanerRecord(0,laanere);
                      }
                      catch(Exception e) {
                        Dialogs.showMessage("Exception in Laaner! "+e);
                      }
                    }
                  }
                  else {
                    Dialogs.showMessage("Laaneren med LAANER_ID = "+laanerId+" findes ikke");
                  }

                }

  }
}