import javax.swing.*;
import javax.swing.event.*;
import java.awt.event.*;
import java.util.*;
import java.sql.*;

public class UdlaanMenuListener implements ActionListener {
  private static Connection connection;
  private static Vector udlaante,boeger,laanere;
  private int msgAnswer;
  String isbn, titel, laanerId, navn;


  public void actionPerformed(ActionEvent actionEvent) {
    String action = actionEvent.getActionCommand();
    if (action.equals("Udln bog")) {
      isbn = Boeger.isbnTextField.getText().trim();
      titel = Boeger.titelTextField.getText().trim();
      laanerId = Laanere.laanerIdTextField.getText().trim();
      navn = Laanere.navnTextField.getText().trim();
      int antal=Integer.parseInt(Boeger.antalTextField.getText().trim());
      if (antal>0) {
        udlaante=DbUdlaan.selectAllWhere("ISBN='"+isbn+"' And LAANER_ID='"+laanerId+"'");
        if (udlaante.size()>0) {
          Dialogs.showMessage(titel+": er allerede udlnt til "+navn);
        }
        else {
          msgAnswer=Dialogs.confirmOkCancel("Udln Bog","Udln: "+titel+", til lner: "+navn);
          if (msgAnswer==JOptionPane.OK_OPTION) {
            String sqlUpdate ="Insert Into UDLAAN Values('"+isbn+"','"+laanerId+"','NOW')";
            try {
              int returnValue=-1;
              connection=DbConnection.getDbConnection();
              Statement statement = connection.createStatement();
              returnValue = statement.executeUpdate(sqlUpdate);
              Dialogs.showMessage("Return Value form Update on UDLAAN: "+returnValue);
            }
            catch(Exception e) {
              Dialogs.showMessage("Insert Exception in UDLAAN! "+e);
            }
            antal--;
            try {
              sqlUpdate="Update BOG Set ANTAL = "+antal+" Where ISBN = '"+isbn+"'";
              connection=DbConnection.getDbConnection();
              Statement statement = connection.createStatement();
              int returnValue = statement.executeUpdate(sqlUpdate);
              Dialogs.showMessage("Return Value form Update on BOG: "+returnValue);
            }
            catch(Exception e) {
              Dialogs.showMessage("Insert Exception in BOG! "+e);
            }
          }
        }
      }
      else {
        Dialogs.showMessage("Alle eksemplarer af: "+titel+" er desvrre udlnt");
      }
      udlaante=DbUdlaan.selectAllWhere("");
      VisUdlaante.visUdlaanRecord(0,udlaante);
    }
    else
    if (action.equals("Returner bog")) {
      isbn = Boeger.isbnTextField.getText().trim();
      titel = Boeger.titelTextField.getText().trim();
      laanerId = Laanere.laanerIdTextField.getText().trim();
      navn = Laanere.navnTextField.getText().trim();
      udlaante=DbUdlaan.selectAllWhere("ISBN='"+isbn+"' And LAANER_ID='"+laanerId+"'");
      if (udlaante.size()==0) {
        Dialogs.showMessage(titel+": er ikke udlnt til "+navn);
      }
      else {
        msgAnswer=Dialogs.confirmOkCancel("Returner Bog","Returner "+titel+" fra lner "+navn);
        if (msgAnswer==JOptionPane.OK_OPTION) {
          String sqlUpdate ="Delete From UDLAAN Where ISBN = '"+isbn+"' And LAANER_ID = '"+
                           laanerId+"'";
          try {
            int returnValue=-1;
            connection=DbConnection.getDbConnection();
            Statement statement = connection.createStatement();
            returnValue = statement.executeUpdate(sqlUpdate);
            Dialogs.showMessage("Return Value form Delete on UDLAAN: "+returnValue);
          }
          catch(Exception e) {
            Dialogs.showMessage("Insert Exception in UDLAAN! "+e);
          }
          int antal=Integer.parseInt(Boeger.antalTextField.getText().trim());
          antal++;
          try {
            sqlUpdate="Update BOG Set ANTAL = "+antal+" Where ISBN = '"+isbn+"'";
            connection=DbConnection.getDbConnection();
            Statement statement = connection.createStatement();
            int returnValue = statement.executeUpdate(sqlUpdate);
            Dialogs.showMessage("Return Value form Update on BOG: "+returnValue);
          }
          catch(Exception e) {
            Dialogs.showMessage("Insert Exception in BOG! "+e);
          }
        }
      }
      udlaante=DbUdlaan.selectAllWhere("");
      VisUdlaante.visUdlaanRecord(0,udlaante);
    }
    else
      if (action.equals("Bger")) {
        boeger=DbBog.selectAllWhere("");
        VisBoeger.visBogRecord(0,boeger);
      }
  }
}
