//Program med to trde, der har adgang til de samme data.
public class ToTraadeFaellesData {
  public static void main(String[] args ) {
    Counter counter = new Counter(0,2000002);
    EnkeltTraad foersteTraad = new  EnkeltTraad(1,counter);
    EnkeltTraad andenTraad = new  EnkeltTraad(2,counter);
    foersteTraad.start();
    andenTraad.start();
  }
}


class EnkeltTraad extends Thread {
  private int id;
  private Counter counter;
  EnkeltTraad(int id, Counter counter) {
    this.id = id;
    this.counter = counter;
  }
  public void run() {
    System.out.println("Trd "+id+" er startet");
    System.out.flush();
    for (int i=0; i<=1000000; i++) counter.click();
    System.out.println("Trd "+id+" er frdig. Counter = "+counter.get());
  }
}

class Counter {
  private int start, slut, counter;
  Counter(int start, int slut) {
    this.start=start;
    this.slut=slut;
    counter=start;
  }
  public void click() {
    counter = (counter+1) % slut;
    if (counter==0) counter = start;
  }
  public int get() {
    return counter;
  }
}
