import java.util.*;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import javax.swing.event.*;
import java.sql.*;

public class BoegerNavigatorButtonListener implements ActionListener {

  private static Vector boeger;
  private Connection connection;
  private String isbn, titel, forfatter, decKlasse, antal, annotation, sqlUpdate;
  private int msgAnswer;
  private java.util.Date date = new java.util.Date();
  int recNo;

  public void actionPerformed(ActionEvent actionEvent) {
    String action = actionEvent.getActionCommand();
    boeger=DbBog.getResultSet();
    if (action.equals("<<")) {
      VisBoeger.visBogRecord(0,boeger);
    }
    else
      if (action.equals("<")) {
        recNo=DbBog.getRecNo();
        if (recNo>0) {
          recNo--;
          VisBoeger.visBogRecord(recNo,boeger);
          DbBog.setRecNo(recNo);
        }
        else {
          recNo=0;
          VisBoeger.visBogRecord(recNo,boeger);
          DbBog.setRecNo(recNo);
        }
      }
      else
        if (action.equals(">")) {
          int recNo=DbBog.getRecNo();
          if (recNo<boeger.size()-1) {
            recNo++;
            VisBoeger.visBogRecord(recNo,boeger);
            DbBog.setRecNo(recNo);
          }
          else {
            recNo=boeger.size()-1;
            VisBoeger.visBogRecord(recNo,boeger);
            DbBog.setRecNo(recNo);
          }
        }
        else
          if (action.equals(">>")) {
            recNo=boeger.size()-1;
            VisBoeger.visBogRecord(recNo,boeger);
            DbBog.setRecNo(recNo);
          }
          else
            if (action.equals("Ny")) {
              Boeger.isbnTextField.setText("");
              Boeger.titelTextField.setText("");
              Boeger.forfatterTextField.setText("");
              Boeger.decKlasseTextField.setText("");
              Boeger.antalTextField.setText("");
              Boeger.regDatoTextField.setText(date.toString());
              Boeger.annotationTextArea.setText("");
              Boeger.isbnTextField.requestFocus();
            }
            else
              if (action.equals("Opdater")) {
                Boeger.isbnTextField.requestFocus();
              }
              else
              if (action.equals("Gem")) {
                isbn = Boeger.isbnTextField.getText().trim();
                titel = Boeger.titelTextField.getText().trim();
                forfatter = Boeger.forfatterTextField.getText().trim();
                decKlasse = Boeger.decKlasseTextField.getText().trim();
                antal = Boeger.antalTextField.getText().trim();
                annotation = Boeger.annotationTextArea.getText().trim();
                boeger = DbBog.selectAllWhere("ISBN = '"+isbn+"'");
                msgAnswer = JOptionPane.OK_OPTION;
                if (boeger.size() > 0) {
                  msgAnswer=Dialogs.confirmOkCancel("Bekrft Opdatering",
                             "Der findes en bog med ISBN="+isbn+" Opdater?");
                  if (msgAnswer == JOptionPane.OK_OPTION) {
                    sqlUpdate ="Update BOG Set ISBN='"+isbn+"', TITEL='"+titel+
                    "', FORFATTER='"+forfatter+"', DECKLASSE='"+decKlasse+"', ANTAL="+antal+
                    ", REG_DATO='NOW', ANNOTATION='"+annotation+"' Where ISBN='"+isbn+"'";
                  }
                }
                else {
                  msgAnswer=Dialogs.confirmOkCancel("Bekrft Ny Bog",
                                "Der findes ikke en bog med ISBN="+isbn+" Tilfj?");
                  sqlUpdate ="Insert Into BOG Values('"+isbn+"','"+titel+"','"+forfatter+
                  "','"+decKlasse+"',"+antal+",'NOW','"+annotation+"')";
                }
                try {
                  if (msgAnswer == JOptionPane.OK_OPTION) {
                    int returnValue=-1;
                    connection=DbConnection.getDbConnection();
                    Statement statement = connection.createStatement();
                    returnValue = statement.executeUpdate(sqlUpdate);
                    Dialogs.showMessage("Return Value form Update on BOG: "+returnValue);
                    boeger=DbBog.selectAllWhere("");
                    VisBoeger.visBogRecord(0,boeger);
                  }

                }
                catch(Exception e) {
                  Dialogs.showMessage("Exception in Bog! "+e);
                }
              }
              else
                if (action.equals("Slet")) {
                  isbn = Boeger.isbnTextField.getText().trim();
                  titel = Boeger.titelTextField.getText().trim();
                  boeger = DbBog.selectAllWhere("ISBN = '"+isbn+"'");
                  if (boeger.size() > 0) {
                    msgAnswer=Dialogs.confirmOkCancel("Bekrft Slet",
                                                      "Bekrft fjernelse af bogen: "+titel);
                    if (msgAnswer == JOptionPane.OK_OPTION) {
                      sqlUpdate ="Delete From BOG Where ISBN='"+isbn+"'";
                      try {
                          int returnValue=-1;
                          connection=DbConnection.getDbConnection();
                          Statement statement = connection.createStatement();
                          returnValue = statement.executeUpdate(sqlUpdate);
                          Dialogs.showMessage("Return Value form Update on BOG: "+returnValue);
                          boeger=DbBog.selectAllWhere("");
                          VisBoeger.visBogRecord(0,boeger);
                      }
                      catch(Exception e) {
                        Dialogs.showMessage("Exception in Bog! "+e);
                      }
                    }
                  }
                  else {
                    Dialogs.showMessage("Bogen med ISBN = "+isbn+" findes ikke");
                  }

                }


  }
}