import java.io.*;
import java.util.*;
import rtl.*;

public class Lotto {

  public static int[] lavRaekke() {
    int[] rk=new int[7];
    int j=0,lt=0;
    for (int i=0; i<7; i++) {
      do {
        lt=(int) (Math.random()*36)+1;
        rk[i]=lt; j=0;
        while (rk[j]!=lt) j++;
      }
      while(i!=j);
    }
    return rk;
  }

  public static void main(String args[]) {
    TextFileWrite txt=new TextFileWrite("Lotto.txt");
    KbdRead kbd=new KbdRead();
    int antal;
    int[] raekke=new int[7];
    int[][] raekkeTabel=new int[10000][7];
    System.out.print("Hvor mange lottorkker skal der laves? ");
    antal=kbd.readInteger();
    for (int k=1; k<=antal; k++) {
      raekke=lavRaekke();
      Arrays.sort(raekke);
      raekkeTabel[k]=raekke;
    }
    for (int k=1; k<=antal; k++) {
      String line="";
      for (int j=0;j<7;j++) line=line+raekkeTabel[k][j]+" ";
      txt.writeLine(line);
    }
    txt.close();
  }
}





