import java.util.*;
import java.lang.Math.*;
import rtl.*;

public class TerningKastHistogram {

  static int[] hyppigheder(int n, int[] h) {
    int oejne=0;
    for (int k=0; k<n; k++) {
      oejne=(int)(6*Math.random())+(int)(6*Math.random())+2;
      h[oejne]++;
    }
    return h;
  }

  static void histogram(int n, int[] h) {
    int star=1,max=0, oejne;
    for (oejne=2; oejne<=12; oejne++)
    if (h[oejne]>max) max=h[oejne];
    while (max/star>20) star++;
    System.out.println("Hyppighedsfordeling for oejental ved kast med to terninger. * = "+star);
    //System.out.println();
    //System.out.println("Frekvens");
    for (int k=20; k>0; k--) {
      int frekvens=k*star*100/n;
      if (frekvens>9) System.out.print(frekvens+"% ");
      else System.out.print(frekvens+"%  ");
      for (oejne=2; oejne<=12; oejne++) {
        if (h[oejne]>=k*star) System.out.print(" * ");
        else
          if (h[oejne]>(k-1)*star) {
            int excess=h[oejne]-(k-1)*star;
            System.out.print(" "+excess+" ");
          }
          else System.out.print("   ");
      }
      System.out.println();
    }
    System.out.print("   ");
    for (oejne=2; oejne<=12; oejne++)
    if (oejne<10) System.out.print("  "+oejne);
    else System.out.print(" "+oejne);
  }

  public static void main(String[] args) {
    int n=100, sum=0;
    int[] h = {0,0,0,0,0,0,0,0,0,0,0,0,0};
    KbdRead kbd = new KbdRead();
    System.out.print("Hvor mange forsoeg vil du lave? ");n=kbd.readInteger();
    h=hyppigheder(n,h);
    histogram(n,h);
    System.out.println();
    System.out.println();
    for (int k=2; k<=12; k++) sum=sum+h[k];
    System.out.println("Summen af hyppigheder="+sum);
  }
}