import rtl.*;
import java.io.*;
import java.util.*;

public class PythagoraiskeTalsaet  {

  static int stoersteFaellesDivisor(int a, int b) {
    int r=0;
    if (a>b) {
      r=a; a=b; b=r;
    }
    do {
      r= b%a;
      if (r!=0) {
        b=a; a=r;
      }
    }
    while (r!=0);
    return a;
  }

  static void udskriv(String out, int a, int b, int c) {
    if (out.equals("prn") ) {
      Printer prn = new Printer();
      prn.println("a="+a+"  b="+b+"  c="+c+"     "+a*a+"+ "+b*b+" = "+c*c);
      prn.close();
    }
    else {
      System.out.println("a="+a+"  b="+b+"  c="+c+"                "+a*a+"+ "+b*b+" = "+c*c);
    }
  }

  public static void main(String[] args)  {
    KbdRead con=new KbdRead();
    int a=1,b,c,c2,ab2,antal=0,bmax;
    int[] an = new int[1000];
    int[] bn = new int[1000];
    int[] cn = new int[1000];
    System.out.print("Hvor mange indbyrdes primiske Pythagoriske talst vil du finde? ");
    int antalPythagoTal=con.readInteger();
    long startTid = new Date().getTime();
    do {
      a++; b=a; bmax=(a*a-1)/2+1;
      do {
        b++;
        ab2=a*a+b*b;
        c = (int) Math.sqrt((double)ab2); c2 = c*c;
        if ((c2==ab2) && (stoersteFaellesDivisor(a,b)==1)) {
          antal++;
          an[antal]=a; bn[antal]=b; cn[antal]=c;
        }
      }
      while ((b<bmax) && (antal<antalPythagoTal));
    }
    while (antal<antalPythagoTal);
    long slutTid = new Date().getTime();
    int msek = (int)(slutTid-startTid);
    System.out.println("Det tog "+msek+" ms at finde de frste "+antal+" Pythagoriske tal");
    System.out.println();
    System.out.print("Udskrift p Consol (con) eller Printer (prn)? ");
    String out=con.readString();
    for (int k=1;k<=antal;k++) {
      udskriv(out,an[k],bn[k],cn[k]);
      if(k % 20 == 0) {
        System.out.println();
        System.out.println("Tryk p en tast for at fortstte");
        String empty=con.readString();
        System.out.println();
      }
    }
  }
}
