import rtl.*;
import java.io.*;

public class ObjectFileReadWriteDemo {

  static int[] x1 = {0,0,1,2,3};
  static int[] y1 = {0,0,0,0,0};
  static Brik liv = new Brik(x1,y1,1);

  static int[] x2 = {0,0,1,0,1};
  static int[] y2 = {0,0,0,1,1};
  static Brik katrine = new Brik(x2,y2,2);

  static int[] x3 =  {0,0,0,0,1};
  static int[] y3 =  {0,0,1,2,1};
  static Brik randi = new Brik(x3,y3,3);

  static int[] x4 =  {0,0,0,1,1};
  static int[] y4 =  {0,1,2,0,1};
  static Brik britt = new Brik(x4,y4,4);

  static int[] x5 = {0,0,0,1,1};
  static int[] y5 = {0,0,1,1,2};
  static Brik kari = new Brik(x5,y5,5);

  static int[] x6= {0,0,0,0,1};
  static int[] y6 = {0,0,1,2,0};
  static Brik kjell = new Brik(x6,y6,6);

  static int[] x7 = {0,0,1,1,1};
  static int[] y7 = {0,0,0,1,2};
  static Brik hanne = new Brik(x7,y7,7);

  static Brik[] Briks = {liv,katrine,randi,britt,kari,kjell,hanne};

public static Brik assignBrik(Brik brik) {
    Brik assignbrik = new Brik();
    for (int k=0; k<=4; k++) {
      assignbrik.x[k] = brik.x[k];
      assignbrik.y[k] = brik.y[k];
    }
    assignbrik.farve = brik.farve;
    return assignbrik;
  }

  public static Brik nyBrik() {
    Brik brik = new Brik();
    brik = assignBrik(Briks[(int)(Math.random()*7)]);
    brik.x[0] = (int)(Math.random()*5+2);
    brik.y[0] = 28;
    return brik;
  }

  public static void udskrivBrik(Brik brik) {
    System.out.print("Position = ("+brik.x[0]+","+brik.y[0]+")  ");
    System.out.print("Konfiguration: ");
    for (int i=1; i<=4;i++) System.out.print("("+brik.x[i]+","+brik.y[i]+");  ");
    System.out.println("Farvekode: "+brik.farve);
  }

  public static void writeBrikFile() {
    KbdRead kbd = new KbdRead();
    Brik brik;
    System.out.print("Skriv navnet p filen: ");
    String filnavn = kbd.readString();
    ObjectFileWrite brikFileWrite = new ObjectFileWrite(filnavn);
    int n=0;
    for (int k=1; k<=10; k++) {
      brik=nyBrik(); udskrivBrik(brik); n++;
      brikFileWrite.writeFile(brik);
    }
    brikFileWrite.close();
    System.out.println(n+" poster skrevet i filen");
  }

  public static void readBrikFile() {
    KbdRead kbd = new KbdRead();
    Brik brik;
    System.out.print("Skriv navnet p filen: ");
    String filnavn = kbd.readString();
    ObjectFileRead brikFileRead = new ObjectFileRead(filnavn);
    int k=0;
    while (!brikFileRead.eof()) {
      brik=(Brik)brikFileRead.readFile();
      if (brik!=null) {
        udskrivBrik(brik); k++;
      }
    }
    brikFileRead.close();
    System.out.println(k+" poster laest i filen");
  }

  public static void main(String[] args) {
    System.out.println("Nu skriver vi foerst en binaer fil af brikker");
    writeBrikFile();
    System.out.println("S laeser vi filen igen");
    readBrikFile();
  }
}



