import rtl.*;

public class TextFileDemo {

  static void skrivTextFil(String filnavn) {
    KbdRead kbd = new KbdRead();
    TextFileWrite txt = new TextFileWrite(filnavn);
    String line="";
    do {
      line = kbd.readString();
      if (!line.equals("")) txt.writeLine(line);
    }
    while(!line.equals(""));
    txt.close();
  }

  static void laesTextFil(String filnavn) {
    TextFileRead txt = new TextFileRead(filnavn);
    String line="";
    char ch;
    boolean eoln=false;
    while(!txt.eof()) {
      while(!eoln) {
        ch=txt.readChar();
        if(!txt.eoln()) System.out.print(ch);
        else eoln=true;
      }
      System.out.println();
      eoln=false;
    }
    txt.close();
  }

  public static void main(String args[]) {
    KbdRead kbd=new KbdRead();
    System.out.print("Skriv filnavnet p textfilen. F.eks. tekstfil.txt ");
    String filnavn=kbd.readString();
    System.out.println("Skriv nogle linier til tekstfilen. Afslut med enter ");
    System.out.println();
    skrivTextFil(filnavn);
    System.out.println("S lser vi tekstfilen, men denne gang tegn for tegn ");
    System.out.println();
    laesTextFil(filnavn);
  }
}

