package rtl;
import java.io.*;

public class ObjectFileWrite {
  FileOutputStream fileOutputStream;

  public ObjectFileWrite(String filename) {
    try {
      fileOutputStream = new FileOutputStream(filename);
    }
    catch (IOException e) {
      System.out.println("IOException :"+e);
    }
  }

  public void writeFile(Object object) {
    try {
      ObjectOutputStream objectOutputStream = new ObjectOutputStream(fileOutputStream);
      objectOutputStream.writeObject(object);
      objectOutputStream.flush();
    }
    catch (IOException e) {
      System.out.println("IOException :"+e);
    }
  }

  public void close() {
    try {
      fileOutputStream.close();
    }
    catch (IOException e) {
      System.out.println("IOException :"+e);
    }
  }

}