public class Privatskole extends Skole{

  private int skolepenge;
  private Privatskole privatskole;

  public Privatskole(String skolenavn, String adresse, String inspektoer,int skolepenge) {
    super(skolenavn, adresse, inspektoer);
    this.skolepenge=skolepenge;
    privatskole=this;
  }

  public int getSkolepenge() {
    return skolepenge;
  }

  public void nyElev(String elevnavn, String klasse) {
    elevAntal++;
    elever[elevAntal] = new PrivatskoleElev(elevnavn,klasse);
  }

  class PrivatskoleElev extends Elev {
    public PrivatskoleElev(String elevnavn, String klasse) {
      super(elevnavn, klasse, privatskole);
    }
  }
}
