public class Skole {
  protected String skolenavn,adresse,inspektoer;
  protected Elev elever[] = new Elev[200];
  protected int elevAntal=0;
  public Skole(String skolenavn, String adresse, String inspektoer) {
    this.skolenavn=skolenavn;
    this.adresse=adresse;
    this.inspektoer=inspektoer;
  }

  public void nyElev(Elev elev) {
    elevAntal++;
    elever[elevAntal]=elev;
  }

  public int getElevAntal() {
    return elevAntal;
  }

  public String getNavn(int elevNr) {
    if(elevNr<=elevAntal) {
      return elever[elevNr].elevnavn;
    }
    else {
      System.out.println("Ingen elever med elev nummer "+elevNr+" i "+skolenavn);
      return null;
    }
  }

  public String getSkolenavn() {
    return skolenavn;
  }

  public String getAdresse() {
    return adresse;
  }

  public String getInspektoer() {
    return inspektoer;
  }
}
