import rtl.*;
public class Lister {
  static Liste p,q,foerste;
  static String data;
  static KbdRead kbd = new KbdRead();

  static void udskrivListe(Liste foerste) {
    Liste p;
    p = foerste;
    System.out.println("Her flger en liste over objekterne i listen ");
    while (p!=null) {
      System.out.println("Data: "+p.data);
      p = p.naeste;
    }
  }

  static Liste indsaetLifo(Liste foerste, String data) {
    Liste p;
    p = foerste;
    foerste  = new Liste(data, p);
    return foerste;
  }


static Liste indsaetFifo(Liste foerste, String data) {
    Liste p,q=null;
    if (foerste==null) foerste  = new Liste(data, null);
    else {
      p = foerste;
      while (p!=null) {
        q=p; p=p.naeste;
      }
      q.naeste = new Liste(data, null);
    }
    return foerste;
  }

static Liste indsaetOrdnet(Liste foerste, String data) {
  Liste p=null,q=null,r=null;
  p = foerste; r = p;
  q = new Liste(data,null);
  while ((p!=null) && (data.compareTo(p.data)>0)) {
    r = p; p = p.naeste;
  }
  if (p==foerste) foerste = q;
  else r.naeste = q;
  q.naeste = p;
  return foerste;
}

  static Liste mergeSort(Liste foerste) {
    Liste p=null,q=null,r=null,s=null;
    String data;
    if (foerste!=null) {
      s = foerste.naeste;
      foerste.naeste = null;
      while (s!=null) {
        q = foerste; p = s; s = s.naeste;
        while((q!=null) && (p.data.compareTo(q.data)>0)) {
          r = q; q = q.naeste;
        }if (q==foerste) foerste = p;
        else r.naeste = p;
        p.naeste = q;
      }
    }
    return foerste;
  }

  static Liste sletElement(Liste foerste, String data) {
    Liste p=null,q=null;
    if (foerste == null) return null;
    else {
      p = foerste;
      if (data.equals(foerste.data)) foerste = foerste.naeste;
      else {
        while ((p!=null) && (!data.equals(p.data))) {
          q = p; p = p.naeste;
        }
        if (p==null) return null;
        else q.naeste=p.naeste;
      }
    }
    return foerste;
  }

  static Liste omvendListe(Liste foerste) {
  Liste p=null,q=null,r;
    if (foerste == null) return null;
    else {
      p = foerste; r = null;
      while (p!=null) {
        q = p.naeste; p.naeste = r;
        r = p; p = q;
      }
    }
    return r;
  }

  public static void main (String[] args) {
    Liste foerste=null;
    char ch,cl;
    System.out.println("Demonstrationsprogram for Lister ");
    System.out.println();
    do {
      System.out.println("O)pret liste, U)dskriv liste, Omv)end liste, S)let element,");
      System.out.print("M)ergeSort, A)fslut  ");
      ch = kbd.readChar();
      switch(ch) {
        case 'o': {
          System.out.print("Indls L)ifo, Indls F)ifo, Indls O)rdnet: ");
          cl = kbd.readChar();
          do {
            System.out.print("Skriv det nste data ") ; data = kbd.readString();
            if (!data.equals("")) {
              switch(cl) {
                case 'l': foerste = indsaetLifo(foerste,data); break;
                case 'f': foerste = indsaetFifo(foerste,data); break;
                case 'o': foerste = indsaetOrdnet(foerste,data); break;
              }
            }
          }
          while (!data.equals(""));
        }
        break;
        case 'u': udskrivListe(foerste);  break;
        case 'v': foerste = omvendListe(foerste); break;
        case 's': {
          System.out.print("Skriv data for elementet, der skal slettes ");
          String data = kbd.readString();
          foerste = sletElement(foerste, data);  break;
        }
        case 'm': foerste = mergeSort(foerste); break;
      }
    }
    while (ch!='a');
  }

}

class Liste {
  String data;
  Liste naeste;
  Liste() {
  }
  Liste(String data, Liste naeste) {
    this.data = data;
    this.naeste = naeste;
  }
}

