import java.awt.*;
import java.applet.*;
import java.awt.image.BufferedImage;

public class HoppeBoldDrawImage extends Applet {

  final static int D = 70;
  static int width,height;

  Image bufImage = null;

  Graphics bufImageGraphics;

  public void init() {
    height=getBounds().height;
    width=getBounds().width;
    bufImage = new BufferedImage (width,height, BufferedImage.TYPE_INT_RGB);
    bufImageGraphics = bufImage.getGraphics();
  }


  public void paint(Graphics window) {
    for (int x=0; x<width; x+=1) {
      double angle = ((double)x)/20;
      int y = (int)(Math.abs(Math.sin(angle))*(height-D));
      bufImageGraphics.setColor(Color.lightGray);
      bufImageGraphics.fillRect(0,0,width, height);
      bufImageGraphics.setColor(Color.red);
      bufImageGraphics.fillOval(x, 200-y+D/2, D, D);
      window.drawImage(bufImage, 0, 0 , this);
      delay(25);
    }
    stop();
  }

  private void delay (int ms) {
    try {
      Thread.sleep(ms);
    }
    catch (Exception ignored) {
    }
  }
}
